%define name_tt ttfmod
%define build_ttfmod 0

Name: fontforge
Version: 20050209
Release: alt1

Summary: FontForge -- font editor
Summary(ru_RU.KOI8-R):   FontForge

License: BSD
Group: Publishing
URL: http://fontforge.sourceforge.net/

Packager: Pavel Vainerman <pv@altlinux.ru>

Source0: %{name}_full-%{version}.tar.bz2
Source1: %name.menu
Source2: fontforge_htdocs-20050209.tar.bz2
#Source3: cidmaps.tgz
#Source5: %{name_tt}_src-021119.tar.bz2
#Source6: %name_tt.menu
#Source7: %{name_tt}_htdocs-021119.tar.bz2
Source8: %name.png
#Source9: ffanvil32.gif
#Patch: %name-%version.patch

# Automatically added by buildreq on Sun Jun 20 2004
BuildRequires: XFree86-devel XFree86-libs freetype2-devel hostinfo libjpeg-devel libpng-devel libtiff-devel libungif-devel libxml2-devel zlib-devel

BuildPreReq: freetype2-devel >= 2.1.4-alt2

Obsoletes: pfaedit
Provides: pfaedit

%description
FontForge allows the user to create and modify Type 1 (postscript) and true type fonts.
User can save fonts in different postscript formats and generate bitmaps.

%description -l ru_RU.KOI8-R
FontForge       
Type1 (postscipt)  True Type.     
 postscript     .


%package doc
Summary: FontForge documentation
Summary(ru_RU.KOI8-R):   FontForge
License: GPL
Group: Publishing
Requires: %name = %version-%release

%description doc
FontForge documentation (html)

%description doc -l ru_RU.KOI8-R
  FontForge (html)


%if %build_ttfmod

%package -n %name_tt
Summary: ttfmod -- True Type font Modifier
Group: Publishing
Requires: urlview

%description -n %name_tt
ttfmod allows you to modify TrueType fonts. The intent is to give you access
to tables that you cannot get to from FontForge. At the moment all it really
does is let you look at tables.

%endif

%prep
%setup -q
#%patch -p0
%__subst 's|/doc/fontforge|/doc/%{name}-doc-%{version}/html|g' fontforge/uiutil.c fontforge/fontforge.1
%__subst 's|/src/truetype||g' configure

#%patch -p1
#perl -pi -e 's/\/doc\/ttfmod/\/doc\/ttfmod-%{version}/g' ttfmod/ttfview.c
#perl -pi -e 's/\/doc\/ttfmod/\/doc\/ttfmod-%{version}/g' ttfmod/start.c


%build
# Patent related warning:
# it is possible to build with --with-freetype-bytecode
# but it is FORBIDDEN in some countries. See documentation
%configure --disable-static --with-freetype-src=%_includedir/freetype2/freetype/internal

%__subst 's|	#cp .libs/*.so.*.* $(libdir)|	cp .libs/*.so.*.* $(libdir)|g' Makefile
%__subst 's|	$(LIBTOOL) --finish $(libdir)|#	$(LIBTOOL) --finish $(libdir)|g' Makefile



%if %build_ttfmod
./configure.ttfmod --prefix=/usr
%endif
#No SMP!
%make
%if %build_ttfmod
cd ttfmod
%make
%endif

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_libdir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name_tt
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
install -D -m644 %SOURCE8 $RPM_BUILD_ROOT%_iconsdir/%name.png

%makeinstall

%if %build_ttfmod
cp ttfmod/ttfmod $RPM_BUILD_ROOT/%_bindir
cp ttfmod/ttfmod.1 $RPM_BUILD_ROOT/%_mandir/man1
cp ttfmod/*.ui $RPM_BUILD_ROOT/%_datadir/%name_tt
%endif

mkdir -p html
cd html
tar jxvf %SOURCE2

tar zxf cidmaps.tgz
mv *.cidmap $RPM_BUILD_ROOT%_datadir/%name
rm -f cidmaps.tgz
cd -



#tar zxf %SOURCE3
#cp *.cidmap $RPM_BUILD_ROOT%_datadir/%name


%if %build_ttfmod
mkdir -p ttfmod/html
cd ttfmod/html
tar jxvf %SOURCE7
cd -
%endif


#menu install
install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
%if %build_ttfmod
install -D -m 644 %SOURCE6 $RPM_BUILD_ROOT%_menudir/%name
%endif

%post 
%post_ldconfig
%update_menus

%postun 
%postun_ldconfig
%clean_menus

%files
%doc  README LICENSE
%_bindir/*
%_libdir/libgunicode.so*
%_libdir/libgdraw.so*
%_datadir/%name
%_mandir/man1/fontforge*
%_mandir/man1/sfddiff.1*
%_menudir/%name
%_iconsdir/*

%files doc
%doc html

%if %build_ttfmod
%files -n %name_tt
%doc  COPYING ttfmod/README LICENSE ttfmod/html
%_bindir/ttfmod
%_datadir/%name_tt
%_mandir/man1/ttfmod*
%endif


%changelog
* Mon Mar 14 2005 Pavel Vainerman <pv@altlinux.ru> 20050209-alt1
- build new version

* Wed Oct 27 2004 Pavel Vainerman <pv@altlinux.ru> 20040930-alt1
- build new version

* Mon Sep 06 2004 Pavel Vainerman <pv@altlinux.ru> 20040824-alt1
- build new version

* Wed Jun 23 2004 Pavel Vainerman <pv@altlinux.ru> 0.20040618-alt2
- fix ld_config
- remove cidmaps.tgz from doc

* Sun Jun 20 2004 Pavel Vainerman <pv@altlinux.ru> 0.20040618-alt1
- build new version with new name - fontforge
- add doc package
- spec cleanup
- fix menu
- add dummy icon for menu

* Tue Jun 03 2003 AEN <aen@altlinux.ru> 0.030518-alt1
- new snapshot
- cidmaps added

* Mon Feb 03 2003 AEN <aen@altlinux.ru> 0.030201-alt1
- new snapshot

* Tue Nov 19 2002 AEN <aen@altlinux.ru> 0.021119-alt1
- new snapshot 

* Wed Jun 26 2002 AEN <aen@logic.ru> 0.029623-alt3
- 2 packages, pfaedit docs in main package
- ttfmod docs added
- urlview required for ttfmod

* Wed Jun 26 2002 AEN <aen@logic.ru> 0.029623-alt2
- split to 3 packages
- license changed to BSD 

* Wed Jun 26 2002 AEN <aen@logic.ru> 0.029623-alt1
- new snapshot
- new docs
- ttfmod added

* Tue Jun 17 2002 AEN <aen@logic.ru> 0.020611-alt1
- new snapshot

* Mon May 20 2002 AEN <aen@logic.ru> 0.020518-alt1
- new snapshot

* Thu Mar 28 2002 AEN <aen@logic.ru> 0.020312-alt1
- new snapshot

* Mon Mar 06 2002 AEN <aen@logic.ru> 0.020310-alt1
- new snapshot

* Wed Feb 06 2002 AEN <aen@logic.ru> 0.020205-alt1
- new snapshot

* Fri Jan 18 2002 AEN <aen@logic.ru> 0.020117-alt1
- new snapshot

* Thu Jan 10 2002 AEN <aen@logic.ru> 0.020109-alt1
- new snapshot

* Wed Jan 09 2002 AEN <aen@logic.ru> 0.020108-alt1
- new snapshot

* Thu Dec 20 2001 AEN <aen@logic.ru> 0.011219-alt1
- new snapshot

* Thu Dec 13 2001 AEN <aen@logic.ru> 0.011212-alt1
- new snapshot

* Tue Nov 20 2001 AEN <aen@logic.ru> 0.011115-alt1
- new snapshot

* Tue Nov 06 2001 AEN <aen@logic.ru> 0.011102-at1
- new snapshot

* Thu Oct 31 2001 AEN <aen@logic.ru> 0.011031-alt1
- new snapshot

* Tue Oct 1 2001 AEN <aen@logic.ru> 0.011001-alt1
- new snapshot

* Wed Sep 26 2001 AEN <aen@logic.ru> 0.010924-alt1
- new snapshot
* Tue Sep 18 2001 AEN <aen@logic.ru> 0.010915-alt1
- new snapshot
* Thu Sep 6 2001 AEN <aen@logic.ru> 0.010905-alt1
- new snapshot
* Mon Sep 1 2001 AEN <aen@logic.ru> 0.010901-alt1
- new snapshot
* Fri Aug 31 2001 AEN <aen@logic.ru> 0.010830-alt1
- new snapshot
* Wed Jul 25 2001 AEN <aen@logic.ru> 0.010724-alt1
- new snapshot
* Wed Jul 24 2001 AEN <aen@logic.ru> 0.010722-alt1
- new snapshot
* Mon Jul 22 2001 AEN <aen@logic.ru> 0.010715-alt1
- new snapshot
* Mon Jul 15 2001 AEN <aen@logic.ru> 0.010715-alt1
- new snapshot
* Thu Jul 12 2001 AEN <aen@logic.ru> 0.010711-alt1
- new snapshot
* Wed Jul 11 2001 AEN <aen@logic.ru> 0.010710-alt1
- new snapshot
* Mon Jul 9 2001 AEN <aen@logic.ru> 0.010707-alt1
- new snapshot
* Fri Jun 29 2001 AEN <aen@logic.ru> 0.010628-alt1
- new snapshot with Val patch
* Tue Jun 26 2001 AEN <aen@logic.ru> 0.010624-alt1
- new snapshot with patch from Val
* Thu Jun 21 2001 AEN <aen@logic.ru> 0.010619-alt1
- new snapshot
* Fri Jun 13 2001 AEN <aen@logic.ru> 0.010611-alt1
- new snapshot
* Mon Jun 6 2001 AEN <aen@logic.ru> 0.010607-alt1
- new snapshot again
* Mon May 14 2001 AEN <aen@logic.ru> 0.010511-alt1
- new snapshot
* Wed May 9 2001 AEN <aen@logic.ru> 0.010507-alt1
- new snapshot
* Fri Apr 6 2001 AEN <aen@logic.ru> 0.010402-alt1
- new snapshot
* Mon Apr 2 2001 AEN <aen@logic.ru>	0.010329-alt1
- first build for Sisyphus


